﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;
using System.Text;

namespace Sample
{
    public partial class MapUControl : System.Web.UI.UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-125, 72, 50, -46);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                WorldMapKitWmsWebOverlay worldMapKitOverlay = new WorldMapKitWmsWebOverlay();
                Map1.CustomOverlays.Add(worldMapKitOverlay);
            }
        }

        protected void Map1_Click(object sender, ThinkGeo.MapSuite.WebEdition.MapClickedEventArgs e)
        {
            PointShape clickPosition = e.Position;
            SetCloudPopUp(e);
            Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.SimpleColors.BrightYellow);
        }

        private void SetCloudPopUp(MapClickedEventArgs e)
        {
            CloudPopup popUp;
            if (Map1.Popups.Count == 0)
            {
                popUp = new CloudPopup("PopUp", e.Position, string.Empty);
                popUp.AutoSize = true;
                popUp.HasCloseButton = true;
                popUp.AutoPan = true;
                Map1.Popups.Add(popUp);
            }
            else
            {
                popUp = (CloudPopup)Map1.Popups["PopUp"];
                popUp.Position = e.Position;
                if (popUp.IsVisible == false)
                {
                    popUp.IsVisible = true;
                }
            }

            StringBuilder contHtml = new StringBuilder();
            contHtml.Append("").Append("This is a test string").Append("");
            popUp.ContentHtml = contHtml.ToString();
        }
    }
}